Crux: BRE/WFE - Task #17958
Task # 17954 (Closed): Ul for workflow editing

Ul: edit a workflow, add/remove rules
17/02/2024 07:03 PM - Shuvam Misra

Status: Closed Start date:

Priority: Normal Due date: 15/03/2024
Assignee: Adarsh Shukla % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 15 Mar

Description

Screens to create an empty workflow, edit an existing workflow, add/remove rules in it, internally convert if-then blocks to internal
workflows, save all workflows, handle errors which come from the WSC, show appropriate Ul cues for errors.

Associated revisions

Revision bba2f3d0 - 04/03/2024 06:36 PM - Sufiyaan Shaik
refs: redmine #17958, designed Ul for editable rule pattern

Revision 3713690 - 05/03/2024 06:06 PM - Sufiyaan Shaik

refs: redmine #17958 Added: Validations for rulePattern according to related schema

Revision b590226f - 06/03/2024 06:49 PM - Adarsh Shukla
refs redmine #17958, Modified: RulePatern editable with validations

Revision 7b55e332 - 07/03/2024 06:35 PM - Adarsh Shukla

refs redmine #17958, Modified: Editable tasks and some validations.

Revision 79963a0e - 11/03/2024 06:35 PM - Sufiyaan Shaik
refs: redmine #17958, Added:NextStep Tags and some Validations

Revision 22df78ba - 12/03/2024 06:48 PM - Adarsh Shukla

refs redmine #17958, Implemented some validations

Revision 173ae617 - 13/03/2024 02:38 PM - Adarsh Shukla

refs redmine #17958, Fixed validatons of rulePattern

Revision f4b3ac54 - 13/03/2024 05:50 PM - Sufiyaan Shaik

refs: redmine #17958 Added return and exit feature in Ul along with thencall and elsecall

Revision fcbab90b - 15/03/2024 06:09 PM - Adarsh Shukla

refs redmine #17958, Fixed some validations

History

#1 - 17/02/2024 07:04 PM - Shuvam Misra

- Description updated

#2 - 04/03/2024 12:35 PM - Adarsh Shukla
- Assignee set to Adarsh Shukla

- Status changed from New to In Progress

Started working on this task

#3 - 04/03/2024 06:28 PM - Sufiyaan Shaik
- % Done changed from 0 to 10
Today me(Sufiyaan) and Adarsh started with issue #17958
Designed the rulePattern in the editable mode

#4 - 05/03/2024 06:04 PM - Sufiyaan Shaik
- % Done changed from 10 to 20

Today Me and Adarsh added some validations for rulePattern editing(rules)

#5 - 06/03/2024 06:24 PM - Adarsh Shukla
- % Done changed from 20 to 30

Today me and Sufiyan done with RulePattern editing part with completed validations.

#6 - 07/03/2024 06:44 PM - Adarsh Shukla
- % Done changed from 30 to 40

Today me and sufiyan worked on editing of tasks(nextsteps) and also changed some validations of pattern editing.

#7 - 08/03/2024 05:42 PM - Shuvam Misra
- Parent task set to #17954

#8 - 11/03/2024 06:37 PM - Sufiyaan Shaik
- % Done changed from 40 to 60

Today me and Adarsh, added editable NextStep Tags(properties) and some rulePattern validation

#9 - 12/03/2024 06:50 PM - Adarsh Shukla
- % Done changed from 60 to 70

Today me and sufiyan worken on some of the validations part, also we encountered some doubts while working and we cleared it with sachin.

#10 - 13/03/2024 05:48 PM - Sufiyaan Shaik
- % Done changed from 70 to 80

Today me and Adarsh added some validation in the 1st half, and we added Return and Exit feature in the Ul Screen,along with thenCall and elseCall

#11 - 15/03/2024 05:44 PM - Adarsh Shukla
- % Done changed from 80 to 100

- Status changed from In Progress to Closed

Today we, implemented some validations. In second half we had meeting with sachin to show the validations along with the Ul screens.

#12 - 08/04/2024 06:44 PM - Adarsh Shukla

Added provision to add workflow.
